Skip to main content
GET
/
shield
/
metrics
/
overview
/
{shieldZoneId}
Get an overview of metrics for the specified Shield Zone
curl --request GET \
  --url https://api.bunny.net/shield/metrics/overview/{shieldZoneId}
{
  "data": {
    "overview": {
      "dDoSMitigated": 123,
      "wafTriggeredRules": 123,
      "ratelimitBreaches": 123,
      "botDetectionChallenged": 123,
      "accessListActions": 123,
      "uploadScanningBlocks": 123,
      "apiGuardianBlocks": 123
    },
    "waf": {
      "totalTriggeredRules": 123,
      "blockedRequests": 123,
      "loggedRequests": 123,
      "challengedRequests": 123
    },
    "overviewPastTwentyEightDays": {},
    "dDoS": {
      "loggedRequests": 123,
      "verifiedRequests": 123,
      "blockedRequests": 123,
      "challengedRequests": 123
    },
    "dDoSOverviewPastTwentyEightDays": {},
    "ratelimit": {
      "totalBreaches": 123,
      "loggedBreaches": 123,
      "challengedBreaches": 123,
      "blockedBreaches": 123
    },
    "ratelimitOverviewPastTwentyEightDays": {},
    "botDetection": {
      "loggedRequests": 123,
      "challengedRequests": 123
    },
    "botDetectionOverviewPastTwentyEightDays": {},
    "accessList": {
      "totalActions": 123,
      "blockedRequests": 123,
      "loggedRequests": 123,
      "challengedRequests": 123
    },
    "accessListOverviewPastTwentyEightDays": {},
    "uploadScanningOverviewPastTwentyEightDays": {},
    "apiGuardian": {
      "blockedRequests": 123,
      "loggedRequests": 123,
      "rateLimited": 123,
      "requestsInspected": 123,
      "failedRequestValidation": 123,
      "failedAuthenticationEnforcement": 123
    },
    "apiGuardianOverviewPastTwentyEightDays": {},
    "totalCleanRequestsLimit": 123,
    "totalBillableRequests": 123,
    "uploadScanning": {
      "loggedRequests": 123,
      "blockedRequests": 123,
      "filesScanned": 123
    }
  },
  "error": {
    "statusCode": 100,
    "success": true,
    "message": "<string>",
    "errorKey": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.bunny.net/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

shieldZoneId
integer<int32>
required

The ID of the Shield Zone.

Response

OK

data
object
error
object

Generic response object containing status information for API operations.